package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrTaskSign;
import com.ruoyi.system.domain.visit.dr.VisitDrTaskSignExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrTaskSignMapper {
    long countByExample(VisitDrTaskSignExample example);

    int deleteByExample(VisitDrTaskSignExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrTaskSign record);

    int insertSelective(VisitDrTaskSign record);

    List<VisitDrTaskSign> selectByExample(VisitDrTaskSignExample example);

    VisitDrTaskSign selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrTaskSign record, @Param("example") VisitDrTaskSignExample example);

    int updateByExample(@Param("record") VisitDrTaskSign record, @Param("example") VisitDrTaskSignExample example);

    int updateByPrimaryKeySelective(VisitDrTaskSign record);

    int updateByPrimaryKey(VisitDrTaskSign record);
}